/* @(#) $Id: stats.h 786 2011-09-28 05:22:58Z leres $ (LBL) */
#ifndef acld_stats_h
#define acld_stats_h

struct bucket {
	int count;
	int hiwater;
};

struct stats {
	struct bucket *cur;
	struct bucket *buckets;
	size_t len;
	int secs;
	long lasttime;
};

void stats_free(struct stats *);
int stats_gethiwater(struct stats *);
int stats_getrate(struct stats *, const char *);
void stats_init(struct stats *, size_t, int, const char *);
void stats_sethiwater(struct stats *, int);
void stats_setrate(struct stats *);
#endif
